package com.bonus.core.allocation.canteen.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bonus.core.common.utils.SysUtil;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalTimeSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.time.LocalTime;

@TableName("alloc_stall")
@ApiModel("档口信息表")
public class AllocStall {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口编号")
   private String stallNum;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("档口业务类型")
   private Integer stallType;
   @ApiModelProperty("第三方档口id")
   private String thirdStallId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("联系电话")
   private String contactTel;
   @ApiModelProperty("主营项目")
   private String mainProject;
   @ApiModelProperty("档口营业状态")
   private Integer businessState;
   @ApiModelProperty("营业时间")
   @JsonDeserialize(
           using = LocalTimeDeserializer.class
   )
   @JsonSerialize(
           using = LocalTimeSerializer.class
   )
   private LocalTime startBusinessTime;
   @JsonDeserialize(
           using = LocalTimeDeserializer.class
   )
   @JsonSerialize(
           using = LocalTimeSerializer.class
   )
   private LocalTime endBusinessTime;
   @ApiModelProperty("是否启用叫号")
   private Integer ifUseCallNum;
   @ApiModelProperty("线上流水号前缀")
   private String onLineMealCodePrefix;
   @ApiModelProperty("线下流水号前缀")
   private String offLineMealCodePrefix;
   @ApiModelProperty("是否启用配送配置")
   private Integer ifEnableDelivery;
   @ApiModelProperty("配送方式(多个数据之间 使用,分隔)")
   private String deliveries;
   @ApiModelProperty("是否启用点餐配置")
   private Integer ifEnableOrder;
   @ApiModelProperty("档口图片链接")
   private String imgUrl;
   @ApiModelProperty("是否支持报餐")
   private Integer ifBook;
   @ApiModelProperty("是否支持预定餐")
   private Integer ifReserve;
   @ApiModelProperty("是否启用收款码")
   private Integer ifEnablePayCode;
   @ApiModelProperty("档口收款码链接")
   private String payCodeUrl;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   @JsonDeserialize(
           using = LocalDateTimeDeserializer.class
   )
   @JsonSerialize(
           using = LocalDateTimeSerializer.class
   )
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @JsonDeserialize(
           using = LocalDateTimeDeserializer.class
   )
   @JsonSerialize(
           using = LocalDateTimeSerializer.class
   )
   private LocalDateTime uptime;

   public AllocStall(Long stallId) {
      this.stallId = stallId;
   }

   public AllocStall(Long stallId, Long canteenId, String stallName, Integer stallType, String thirdStallId) {
      this.stallId = stallId;
      this.canteenId = canteenId;
      this.stallName = stallName;
      this.stallType = stallType;
      this.thirdStallId = thirdStallId;
   }

   public String getImgUrl() {
      return SysUtil.getCutPath(this.imgUrl);
   }

   public String getPayCodeUrl() {
      return SysUtil.getCutPath(this.payCodeUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallNum() {
      return this.stallNum;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Integer getStallType() {
      return this.stallType;
   }

   public String getThirdStallId() {
      return this.thirdStallId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getContactTel() {
      return this.contactTel;
   }

   public String getMainProject() {
      return this.mainProject;
   }

   public Integer getBusinessState() {
      return this.businessState;
   }

   public LocalTime getStartBusinessTime() {
      return this.startBusinessTime;
   }

   public LocalTime getEndBusinessTime() {
      return this.endBusinessTime;
   }

   public Integer getIfUseCallNum() {
      return this.ifUseCallNum;
   }

   public String getOnLineMealCodePrefix() {
      return this.onLineMealCodePrefix;
   }

   public String getOffLineMealCodePrefix() {
      return this.offLineMealCodePrefix;
   }

   public Integer getIfEnableDelivery() {
      return this.ifEnableDelivery;
   }

   public String getDeliveries() {
      return this.deliveries;
   }

   public Integer getIfEnableOrder() {
      return this.ifEnableOrder;
   }

   public Integer getIfBook() {
      return this.ifBook;
   }

   public Integer getIfReserve() {
      return this.ifReserve;
   }

   public Integer getIfEnablePayCode() {
      return this.ifEnablePayCode;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallNum(final String stallNum) {
      this.stallNum = stallNum;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setStallType(final Integer stallType) {
      this.stallType = stallType;
   }

   public void setThirdStallId(final String thirdStallId) {
      this.thirdStallId = thirdStallId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setContactTel(final String contactTel) {
      this.contactTel = contactTel;
   }

   public void setMainProject(final String mainProject) {
      this.mainProject = mainProject;
   }

   public void setBusinessState(final Integer businessState) {
      this.businessState = businessState;
   }

   @JsonDeserialize(
           using = LocalTimeDeserializer.class
   )
   public void setStartBusinessTime(final LocalTime startBusinessTime) {
      this.startBusinessTime = startBusinessTime;
   }

   @JsonDeserialize(
           using = LocalTimeDeserializer.class
   )
   public void setEndBusinessTime(final LocalTime endBusinessTime) {
      this.endBusinessTime = endBusinessTime;
   }

   public void setIfUseCallNum(final Integer ifUseCallNum) {
      this.ifUseCallNum = ifUseCallNum;
   }

   public void setOnLineMealCodePrefix(final String onLineMealCodePrefix) {
      this.onLineMealCodePrefix = onLineMealCodePrefix;
   }

   public void setOffLineMealCodePrefix(final String offLineMealCodePrefix) {
      this.offLineMealCodePrefix = offLineMealCodePrefix;
   }

   public void setIfEnableDelivery(final Integer ifEnableDelivery) {
      this.ifEnableDelivery = ifEnableDelivery;
   }

   public void setDeliveries(final String deliveries) {
      this.deliveries = deliveries;
   }

   public void setIfEnableOrder(final Integer ifEnableOrder) {
      this.ifEnableOrder = ifEnableOrder;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setIfBook(final Integer ifBook) {
      this.ifBook = ifBook;
   }

   public void setIfReserve(final Integer ifReserve) {
      this.ifReserve = ifReserve;
   }

   public void setIfEnablePayCode(final Integer ifEnablePayCode) {
      this.ifEnablePayCode = ifEnablePayCode;
   }

   public void setPayCodeUrl(final String payCodeUrl) {
      this.payCodeUrl = payCodeUrl;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   @JsonDeserialize(
           using = LocalDateTimeDeserializer.class
   )
   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   @JsonDeserialize(
           using = LocalDateTimeDeserializer.class
   )
   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AllocStall)) {
         return false;
      } else {
         AllocStall other = (AllocStall)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$stallId = this.getStallId();
            Object other$stallId = other.getStallId();
            if (this$stallId == null) {
               if (other$stallId != null) {
                  return false;
               }
            } else if (!this$stallId.equals(other$stallId)) {
               return false;
            }

            Object this$canteenId = this.getCanteenId();
            Object other$canteenId = other.getCanteenId();
            if (this$canteenId == null) {
               if (other$canteenId != null) {
                  return false;
               }
            } else if (!this$canteenId.equals(other$canteenId)) {
               return false;
            }

            label350: {
               Object this$areaId = this.getAreaId();
               Object other$areaId = other.getAreaId();
               if (this$areaId == null) {
                  if (other$areaId == null) {
                     break label350;
                  }
               } else if (this$areaId.equals(other$areaId)) {
                  break label350;
               }

               return false;
            }

            label343: {
               Object this$stallType = this.getStallType();
               Object other$stallType = other.getStallType();
               if (this$stallType == null) {
                  if (other$stallType == null) {
                     break label343;
                  }
               } else if (this$stallType.equals(other$stallType)) {
                  break label343;
               }

               return false;
            }

            Object this$custId = this.getCustId();
            Object other$custId = other.getCustId();
            if (this$custId == null) {
               if (other$custId != null) {
                  return false;
               }
            } else if (!this$custId.equals(other$custId)) {
               return false;
            }

            label329: {
               Object this$businessState = this.getBusinessState();
               Object other$businessState = other.getBusinessState();
               if (this$businessState == null) {
                  if (other$businessState == null) {
                     break label329;
                  }
               } else if (this$businessState.equals(other$businessState)) {
                  break label329;
               }

               return false;
            }

            label322: {
               Object this$ifUseCallNum = this.getIfUseCallNum();
               Object other$ifUseCallNum = other.getIfUseCallNum();
               if (this$ifUseCallNum == null) {
                  if (other$ifUseCallNum == null) {
                     break label322;
                  }
               } else if (this$ifUseCallNum.equals(other$ifUseCallNum)) {
                  break label322;
               }

               return false;
            }

            Object this$ifEnableDelivery = this.getIfEnableDelivery();
            Object other$ifEnableDelivery = other.getIfEnableDelivery();
            if (this$ifEnableDelivery == null) {
               if (other$ifEnableDelivery != null) {
                  return false;
               }
            } else if (!this$ifEnableDelivery.equals(other$ifEnableDelivery)) {
               return false;
            }

            Object this$ifEnableOrder = this.getIfEnableOrder();
            Object other$ifEnableOrder = other.getIfEnableOrder();
            if (this$ifEnableOrder == null) {
               if (other$ifEnableOrder != null) {
                  return false;
               }
            } else if (!this$ifEnableOrder.equals(other$ifEnableOrder)) {
               return false;
            }

            label301: {
               Object this$ifBook = this.getIfBook();
               Object other$ifBook = other.getIfBook();
               if (this$ifBook == null) {
                  if (other$ifBook == null) {
                     break label301;
                  }
               } else if (this$ifBook.equals(other$ifBook)) {
                  break label301;
               }

               return false;
            }

            label294: {
               Object this$ifReserve = this.getIfReserve();
               Object other$ifReserve = other.getIfReserve();
               if (this$ifReserve == null) {
                  if (other$ifReserve == null) {
                     break label294;
                  }
               } else if (this$ifReserve.equals(other$ifReserve)) {
                  break label294;
               }

               return false;
            }

            Object this$ifEnablePayCode = this.getIfEnablePayCode();
            Object other$ifEnablePayCode = other.getIfEnablePayCode();
            if (this$ifEnablePayCode == null) {
               if (other$ifEnablePayCode != null) {
                  return false;
               }
            } else if (!this$ifEnablePayCode.equals(other$ifEnablePayCode)) {
               return false;
            }

            label280: {
               Object this$ifDel = this.getIfDel();
               Object other$ifDel = other.getIfDel();
               if (this$ifDel == null) {
                  if (other$ifDel == null) {
                     break label280;
                  }
               } else if (this$ifDel.equals(other$ifDel)) {
                  break label280;
               }

               return false;
            }

            Object this$stallNum = this.getStallNum();
            Object other$stallNum = other.getStallNum();
            if (this$stallNum == null) {
               if (other$stallNum != null) {
                  return false;
               }
            } else if (!this$stallNum.equals(other$stallNum)) {
               return false;
            }

            label266: {
               Object this$stallName = this.getStallName();
               Object other$stallName = other.getStallName();
               if (this$stallName == null) {
                  if (other$stallName == null) {
                     break label266;
                  }
               } else if (this$stallName.equals(other$stallName)) {
                  break label266;
               }

               return false;
            }

            Object this$thirdStallId = this.getThirdStallId();
            Object other$thirdStallId = other.getThirdStallId();
            if (this$thirdStallId == null) {
               if (other$thirdStallId != null) {
                  return false;
               }
            } else if (!this$thirdStallId.equals(other$thirdStallId)) {
               return false;
            }

            Object this$contactTel = this.getContactTel();
            Object other$contactTel = other.getContactTel();
            if (this$contactTel == null) {
               if (other$contactTel != null) {
                  return false;
               }
            } else if (!this$contactTel.equals(other$contactTel)) {
               return false;
            }

            Object this$mainProject = this.getMainProject();
            Object other$mainProject = other.getMainProject();
            if (this$mainProject == null) {
               if (other$mainProject != null) {
                  return false;
               }
            } else if (!this$mainProject.equals(other$mainProject)) {
               return false;
            }

            label238: {
               Object this$startBusinessTime = this.getStartBusinessTime();
               Object other$startBusinessTime = other.getStartBusinessTime();
               if (this$startBusinessTime == null) {
                  if (other$startBusinessTime == null) {
                     break label238;
                  }
               } else if (this$startBusinessTime.equals(other$startBusinessTime)) {
                  break label238;
               }

               return false;
            }

            label231: {
               Object this$endBusinessTime = this.getEndBusinessTime();
               Object other$endBusinessTime = other.getEndBusinessTime();
               if (this$endBusinessTime == null) {
                  if (other$endBusinessTime == null) {
                     break label231;
                  }
               } else if (this$endBusinessTime.equals(other$endBusinessTime)) {
                  break label231;
               }

               return false;
            }

            Object this$onLineMealCodePrefix = this.getOnLineMealCodePrefix();
            Object other$onLineMealCodePrefix = other.getOnLineMealCodePrefix();
            if (this$onLineMealCodePrefix == null) {
               if (other$onLineMealCodePrefix != null) {
                  return false;
               }
            } else if (!this$onLineMealCodePrefix.equals(other$onLineMealCodePrefix)) {
               return false;
            }

            label217: {
               Object this$offLineMealCodePrefix = this.getOffLineMealCodePrefix();
               Object other$offLineMealCodePrefix = other.getOffLineMealCodePrefix();
               if (this$offLineMealCodePrefix == null) {
                  if (other$offLineMealCodePrefix == null) {
                     break label217;
                  }
               } else if (this$offLineMealCodePrefix.equals(other$offLineMealCodePrefix)) {
                  break label217;
               }

               return false;
            }

            label210: {
               Object this$deliveries = this.getDeliveries();
               Object other$deliveries = other.getDeliveries();
               if (this$deliveries == null) {
                  if (other$deliveries == null) {
                     break label210;
                  }
               } else if (this$deliveries.equals(other$deliveries)) {
                  break label210;
               }

               return false;
            }

            Object this$imgUrl = this.getImgUrl();
            Object other$imgUrl = other.getImgUrl();
            if (this$imgUrl == null) {
               if (other$imgUrl != null) {
                  return false;
               }
            } else if (!this$imgUrl.equals(other$imgUrl)) {
               return false;
            }

            Object this$payCodeUrl = this.getPayCodeUrl();
            Object other$payCodeUrl = other.getPayCodeUrl();
            if (this$payCodeUrl == null) {
               if (other$payCodeUrl != null) {
                  return false;
               }
            } else if (!this$payCodeUrl.equals(other$payCodeUrl)) {
               return false;
            }

            label189: {
               Object this$crby = this.getCrby();
               Object other$crby = other.getCrby();
               if (this$crby == null) {
                  if (other$crby == null) {
                     break label189;
                  }
               } else if (this$crby.equals(other$crby)) {
                  break label189;
               }

               return false;
            }

            label182: {
               Object this$crtime = this.getCrtime();
               Object other$crtime = other.getCrtime();
               if (this$crtime == null) {
                  if (other$crtime == null) {
                     break label182;
                  }
               } else if (this$crtime.equals(other$crtime)) {
                  break label182;
               }

               return false;
            }

            Object this$upby = this.getUpby();
            Object other$upby = other.getUpby();
            if (this$upby == null) {
               if (other$upby != null) {
                  return false;
               }
            } else if (!this$upby.equals(other$upby)) {
               return false;
            }

            Object this$uptime = this.getUptime();
            Object other$uptime = other.getUptime();
            if (this$uptime == null) {
               if (other$uptime != null) {
                  return false;
               }
            } else if (!this$uptime.equals(other$uptime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof AllocStall;
   }

   @Override
   public int hashCode() {
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $stallId = this.getStallId();
      result = result * 59 + ($stallId == null ? 43 : $stallId.hashCode());
      Object $canteenId = this.getCanteenId();
      result = result * 59 + ($canteenId == null ? 43 : $canteenId.hashCode());
      Object $areaId = this.getAreaId();
      result = result * 59 + ($areaId == null ? 43 : $areaId.hashCode());
      Object $stallType = this.getStallType();
      result = result * 59 + ($stallType == null ? 43 : $stallType.hashCode());
      Object $custId = this.getCustId();
      result = result * 59 + ($custId == null ? 43 : $custId.hashCode());
      Object $businessState = this.getBusinessState();
      result = result * 59 + ($businessState == null ? 43 : $businessState.hashCode());
      Object $ifUseCallNum = this.getIfUseCallNum();
      result = result * 59 + ($ifUseCallNum == null ? 43 : $ifUseCallNum.hashCode());
      Object $ifEnableDelivery = this.getIfEnableDelivery();
      result = result * 59 + ($ifEnableDelivery == null ? 43 : $ifEnableDelivery.hashCode());
      Object $ifEnableOrder = this.getIfEnableOrder();
      result = result * 59 + ($ifEnableOrder == null ? 43 : $ifEnableOrder.hashCode());
      Object $ifBook = this.getIfBook();
      result = result * 59 + ($ifBook == null ? 43 : $ifBook.hashCode());
      Object $ifReserve = this.getIfReserve();
      result = result * 59 + ($ifReserve == null ? 43 : $ifReserve.hashCode());
      Object $ifEnablePayCode = this.getIfEnablePayCode();
      result = result * 59 + ($ifEnablePayCode == null ? 43 : $ifEnablePayCode.hashCode());
      Object $ifDel = this.getIfDel();
      result = result * 59 + ($ifDel == null ? 43 : $ifDel.hashCode());
      Object $stallNum = this.getStallNum();
      result = result * 59 + ($stallNum == null ? 43 : $stallNum.hashCode());
      Object $stallName = this.getStallName();
      result = result * 59 + ($stallName == null ? 43 : $stallName.hashCode());
      Object $thirdStallId = this.getThirdStallId();
      result = result * 59 + ($thirdStallId == null ? 43 : $thirdStallId.hashCode());
      Object $contactTel = this.getContactTel();
      result = result * 59 + ($contactTel == null ? 43 : $contactTel.hashCode());
      Object $mainProject = this.getMainProject();
      result = result * 59 + ($mainProject == null ? 43 : $mainProject.hashCode());
      Object $startBusinessTime = this.getStartBusinessTime();
      result = result * 59 + ($startBusinessTime == null ? 43 : $startBusinessTime.hashCode());
      Object $endBusinessTime = this.getEndBusinessTime();
      result = result * 59 + ($endBusinessTime == null ? 43 : $endBusinessTime.hashCode());
      Object $onLineMealCodePrefix = this.getOnLineMealCodePrefix();
      result = result * 59 + ($onLineMealCodePrefix == null ? 43 : $onLineMealCodePrefix.hashCode());
      Object $offLineMealCodePrefix = this.getOffLineMealCodePrefix();
      result = result * 59 + ($offLineMealCodePrefix == null ? 43 : $offLineMealCodePrefix.hashCode());
      Object $deliveries = this.getDeliveries();
      result = result * 59 + ($deliveries == null ? 43 : $deliveries.hashCode());
      Object $imgUrl = this.getImgUrl();
      result = result * 59 + ($imgUrl == null ? 43 : $imgUrl.hashCode());
      Object $payCodeUrl = this.getPayCodeUrl();
      result = result * 59 + ($payCodeUrl == null ? 43 : $payCodeUrl.hashCode());
      Object $crby = this.getCrby();
      result = result * 59 + ($crby == null ? 43 : $crby.hashCode());
      Object $crtime = this.getCrtime();
      result = result * 59 + ($crtime == null ? 43 : $crtime.hashCode());
      Object $upby = this.getUpby();
      result = result * 59 + ($upby == null ? 43 : $upby.hashCode());
      Object $uptime = this.getUptime();
      result = result * 59 + ($uptime == null ? 43 : $uptime.hashCode());
      return result;
   }

   @Override
   public String toString() {
      Long var10000 = this.getId();
      return "AllocStall(id=" + var10000 + ", stallId=" + this.getStallId() + ", stallNum=" + this.getStallNum() + ", stallName=" + this.getStallName() + ", canteenId=" + this.getCanteenId() + ", areaId=" + this.getAreaId() + ", stallType=" + this.getStallType() + ", thirdStallId=" + this.getThirdStallId() + ", custId=" + this.getCustId() + ", contactTel=" + this.getContactTel() + ", mainProject=" + this.getMainProject() + ", businessState=" + this.getBusinessState() + ", startBusinessTime=" + String.valueOf(this.getStartBusinessTime()) + ", endBusinessTime=" + String.valueOf(this.getEndBusinessTime()) + ", ifUseCallNum=" + this.getIfUseCallNum() + ", onLineMealCodePrefix=" + this.getOnLineMealCodePrefix() + ", offLineMealCodePrefix=" + this.getOffLineMealCodePrefix() + ", ifEnableDelivery=" + this.getIfEnableDelivery() + ", deliveries=" + this.getDeliveries() + ", ifEnableOrder=" + this.getIfEnableOrder() + ", imgUrl=" + this.getImgUrl() + ", ifBook=" + this.getIfBook() + ", ifReserve=" + this.getIfReserve() + ", ifEnablePayCode=" + this.getIfEnablePayCode() + ", payCodeUrl=" + this.getPayCodeUrl() + ", ifDel=" + this.getIfDel() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }

   public AllocStall() {
   }
}
